import { Handler } from './handler';
import { HandlerFactory, HandlerRunOptions, HandlerSetLocalOfferSdpOptions } from './HandlerInterface';
export declare class Chrome58 extends Handler {
    private _currentStream;
    static createFactory(): HandlerFactory;
    constructor();
    get name(): string;
    run({ direction, iceServers, iceTransportPolicy }: HandlerRunOptions): void;
    setLocalOfferSdp(params?: HandlerSetLocalOfferSdpOptions): Promise<void>;
    stopTransceiver(): void;
    addstreamHandleEvent(e: any): void;
}
