interface MediaDeviceControllerOptions {
    audio: boolean;
    video: boolean;
    bitRateStart?: number;
    bitRateMax?: number;
    bitRateMin?: number;
    audioInput?: string;
    facingMode?: string;
    videoInput?: string;
    videoQuality?: 1 | 2 | 3 | 4;
    horizontal?: boolean;
    externalCapture?: boolean;
    height?: number;
    frameRate?: number;
    width?: number;
    bitRate?: number;
    audioBitRate?: number;
    externalMediaStream?: MediaStream;
    noiseSuppression?: boolean;
    autoGainControl?: boolean;
    echoCancellation?: boolean;
}
export default MediaDeviceControllerOptions;
