import API from '../service/octopusApi';
import EventEmitter from "eventemitter3";
declare class SignalConnect extends EventEmitter {
    protected _logger: any;
    protected _retryTimes: number;
    protected _maxRetryTimes: number;
    protected _edgeListIndex: number;
    protected _roomId: string;
    protected _userId: string;
    protected _appId: string;
    protected _currentEdgeUrl: string;
    protected _edgeUrls: Array<string>;
    protected _api: API | null;
    protected _ws: any;
    protected _octopusConfig: options.octopusConfig | null;
    protected _syncRole: number;
    protected _env: "test" | "prod" | "dev";
    constructor(options: options.Signal);
    protected connect(): Promise<void>;
    /**
     * 定时取最近的edgelist
     */
    private getIntervalEdgeUrls;
    /**
     * 替换使用zego
     */
    protected changeVendor(): void;
}
export default SignalConnect;
