/*
 * @Date: 2020-08-24 17:12:45
 * @LastEditors: GWK
 * @LastEditTime: 2020-08-25 14:25:43
 * @FilePath: /Web_SDK/src/wx/OctopusClientWX.d.ts
 */

declare const EventEmitter: any;
declare class OctopusWX extends EventEmitter {
    protected _userId: string;
    protected _logLevel: number;
    protected _userName: string;
    private _appId;
    private _signal;
    private _logger;
    private _mediaType;
    private _octopusConfig;
    private _videoStartTime;
    private _videoLoadingTime;
    private _maxDelayTime;
    private _LOGURL;
    private _SDKVERSION;
    constructor(options: wxOptions.octopusClient);
    login(roomId: string, role: 1 | 2, token: string, success: (streamList: wxExportsData.loginSuccessResult[]) => void, error?: (err: exportsData.errorMsg) => void): void;
    loginout(): void;
    setPreferPublishSourceType(sourceType: number): void;
    setPreferPlaySourceType(sourceType: number): void;
    startPublishingStream(streamId: string, extraInfo?: any): void;
    stopPublishingStream(streamId: string): void;
    startPlayingStream(streamId: string, streamParams?: string): void;
    stopPlayingStream(streamId: string): void;
    restart(): void;
    updatePlayerState(userId: string, event: any, type: number): void;
    updatePlayerNetStatus(userId: string, event: any, type: number): void;
    private callbackFunctions;
}
export default OctopusWX;
