import SignalConnect from './signalConnect';
declare class SignalHandling extends SignalConnect {
    private _clientStats;
    private _statsTimer;
    private _connectionQueue;
    private _getPushUrlParams;
    private _syncRole;
    protected _joinRoomParams: wxSignalingRetFormat.joinRoom | null;
    protected _role: number;
    private _statistics;
    constructor(options: wxOptions.Signal);
    private formatSendMessage;
    private wsTimer;
    private timeoutHandleFun;
    protected onConnect(joinRoomParams: wxSignalingRetFormat.joinRoom): Promise<void>;
    protected onJoinRoom(joinmsg: any): void;
    requestPushRTMPUrl(params?: any): void;
    protected onGetRtmpUrl(message: any): void;
    requestPullRTMPUrl(userId: string, callback?: any): void;
    protected onQueryPullRtmpUrl(message: any): void;
    reGetRTMPUrl(appId: string, userId: string, codeNum: number, type: number): void;
    protected onAddParticipants(message: Array<any>): void;
    protected onUpdateParticipant(message: any): void;
    protected onRemoveParticipant(message: any): void;
    protected onAgentChange(message: any): void;
    leaveRoom(): void;
    stopPush(params: any): void;
    stopPlay(userId: string): void;
    stats(userId: string, detail: any, type: number): void;
    private sendStats;
    eventReports(userId: string, code: number, type: number): void;
    stopStats(userId?: string): void;
}
export default SignalHandling;
