/*
 * @Date: 2020-08-21 17:43:09
 * @LastEditors: GWK
 * @LastEditTime: 2020-08-21 18:24:26
 * @FilePath: /Web_SDK/liveme/OctopusRTC-wx.d.ts
 */
declare const EventEmitter: any;
declare class OctopusRTCWX extends EventEmitter {
    private _mode;
    private _preferredMode;
    private _roomId;
    private _userId;
    private _logLevel;
    private _role;
    private _env;
    private _mediaType;
    private _userName;
    private _octopusConfig;
    private _defaultOctopusConfig;
    private _octopusClientWX;
    private _appId;
    private _api;
    constructor(options: wxOptions.OctopusRTC);
    get mode(): string;
    get preferredMode(): string;
    get roomId(): string;
    get userId(): string;
    get userName(): string;
    init(): void;
    destory(): void;
    login(roomId: string, role: 1 | 2, token: string, successCallback: any, errorCallback: any, source?: string): Promise<void>;
    restart(): Promise<void>;
    loginout(): void;
    setPreferPublishSourceType(sourceType: number): void;
    setPreferPlaySourceType(sourceType: number): void;
    startPublishingStream(streamId: string, streamParams?: string, extraInfo?: any): void;
    stopPublishingStream(streamId: string, mediaElement?: HTMLMediaElement): void;
    startPlayingStream(streamId: string, streamParams?: string): void;
    stopPlayingStream(streamId: string): void;
    updatePlayerState(streamId: string, event: Date, type: number): void;
    updatePlayerNetStatus(streamId: string, event: Date, type: number): void;
    private callbackFunctions;
}
export default OctopusRTCWX;
 