import logger from '../log/Logger';
import EventEmitter from 'eventemitter3';
declare class ICE extends EventEmitter {
    protected _logger: logger;
    protected _ws: any;
    protected _roomId: string;
    protected _userId: string;
    protected _role: number;
    protected _direction: 'pull' | 'push';
    protected _bitRate: ICE.bitRate;
    protected _roomOnlineCurrent: signalingResFormat.paticipants | null;
    protected _publishStreamInfo: ICE.publishStreamInfo | null;
    protected _playStreamInfo: ICE.playStreamInfo | null;
    protected _onPublishStateUpdate: any;
    protected _onPlayStateUpdate: any;
    protected _streamId: string;
    _offerPeerId: number;
    protected _env: "test" | "prod" | "dev";
    peer: options.peer | null;
    constructor(options: options.ICE);
}
export default ICE;
