import IceHandleFunctions from './iceHandleFunctions';
declare class IceEventHandling extends IceHandleFunctions {
    private _isNegotiating;
    private _hasTrack;
    private _reConnectIce;
    private _reTryTimes;
    constructor(options: options.ICE);
    negotiationNeededHandleEvent(e: Event): void;
    ICECandidateHandleEvent(e: RTCPeerConnectionIceEvent): void;
    ICEConnectionStateChangeHandleEvent(e: Event): void;
    trackHandleEvent(e: RTCTrackEvent): void;
    addStreamHandleEvent(e: any): void;
    connectionStateHandleEvent(e: Event): void;
    signalingStateChangeHandleEvent(e: Event): void;
    ICEGatheringStateChangeHandleEvent(e: Event): void;
}
export default IceEventHandling;
