declare namespace ICE {
    interface publishOption {
        cdnUrl?: string;
    }
    interface playOption {
        playType?: string;
    }
    export interface bitRate {
        start: number;
        min: number;
        max: number;
    }
    export interface publishStreamInfo {
        streamId: string;
        videoElement?: HTMLMediaElement | null;
        extraInfo?: any;
        publishOption?: publishOption;
    }
    export interface playStreamInfo {
        streamId: string;
        videoElement?: HTMLMediaElement | null;
        audioOutput?: any;
        playOption?: playOption;
        emit?: any;
    }
    export interface reCreateIce {
        iceConnectionUserId?: string;
        sendOfferCount?: number;
    }
    export interface createIce {
        direction?: 'pull' | 'push';
        bitRate?: bitRate;
        publishStreamInfo?: publishStreamInfo;
        playStreamInfo?: playStreamInfo;
        onPublishStateUpdate?: () => void;
        onPlayStateUpdate?: () => void;
    }
    export interface creatOffer {
        restart?: boolean;
    }
    export {};
}
