interface LoggerOptions {
    logUrl?: string;
    mark?: string;
    level?: number;
}
interface initReportOptions {
    appId: string;
    roomId: string;
    userId: string;
    report: "web" | "webChat";
    env: "test" | "prod" | "dev";
    SDKVERSION: string;
}
export default class Logger {
    debug: any;
    info: any;
    warn: any;
    error: any;
    constructor(options?: LoggerOptions);
    initReport(options: initReportOptions): void;
    stopReport(): void;
    private getFlag;
    private proxyConsole;
    private dateFormat;
}
export {};
