import MediaStreamContraintsOptions from './MediaStreamConstraintsOptions';
declare class UserMediaStreamConstraints {
    private _audio;
    private _video;
    private _width;
    private _height;
    private _frameRate;
    private _bitRateStart;
    private _bitRateMin;
    private _bitRateMax;
    private _videoQuality;
    private _audioInput;
    private _videoInput;
    constructor(options: MediaStreamContraintsOptions);
    transformBitRate(): {
        bitRateStart: number;
        bitRateMax: number;
        bitRateMin: number;
    };
    transformConstraints(): MediaStreamConstraints;
}
export default UserMediaStreamConstraints;
