import SignalConnect from './signalConnect';
declare class SignalHandling extends SignalConnect {
    private _destory;
    private _publishStreamInfo;
    private _playStreamInfo;
    private _iceDirection;
    private _onPublishStateUpdate;
    private _onPlayStateUpdate;
    private _roomOnlineList;
    private _bitRate;
    private _offerPeerId;
    protected _connectState: number;
    protected _joinRoomParams: signalingRetFormat.joinRoom | null;
    protected _role: number;
    protected iceConnection: any;
    private _reSendOfferQueue;
    private _iceConnectionUserIdMap;
    constructor(options: options.Signal);
    protected onConnect(joinRoomParams: signalingRetFormat.joinRoom): Promise<void>;
    protected onjoinSuccess(joinmsg: signalingResFormat.joinSuccessMsg): void;
    protected onIceCandidate(msg: signalingResFormat.iceCandidate): void;
    private reSendOfferSDP;
    protected onAnswerSDP(msg: signalingResFormat.answerSDP): void;
    protected onAddParticipants(message: signalingResFormat.addParticipants): void;
    protected onUpdateParticipant(message: signalingResFormat.updateParticipant): void;
    protected onRemoveParticipant(msg: signalingResFormat.removeParticipant): void;
    protected onKickParticipant(message: signalingResFormat.kickParticipant): void;
    protected onCloseRoom(): void;
    updateMixStream(mixStreamConfig: any): void;
    stopMixStream(): void;
    protected onMixResult(message: any): void;
    createICEconnection(params: ICE.createIce): void;
    private createEveryICEconnection;
    leaveRoom(): void;
    stopPush(streamId: string): void;
    stopPlay(streamId: string): void;
    private reconnection;
    sendLocalOfferSdp({ pullStreamId, pullStreamRoomId, sdp }: {
        pullStreamId: string;
        pullStreamRoomId: string;
        sdp: string;
    }): void;
    receiveAnswerSdp(): Promise<any>;
    getCandidataArray(): Promise<RTCIceCandidateInit[]>;
    uploadStatsData(clientStatistics: any): void;
}
export default SignalHandling;
