declare namespace signalingResFormat {
    interface paticipants {
        roomId: string;
        userId: string;
        streamId: string;
        show?: string;
        role?: string;
        edgeId?: string;
        pullUrls?: string;
    }
    interface joinSuccessMsg {
        code: number;
        timestamp: number;
        roomId: string;
        userId: string;
        participants: Array<paticipants>;
        connectState: number;
    }
    interface candidate {
        candidate: string;
        sdpMid: string;
        sdpMLineIndex: number;
        module: string;
    }
    interface iceCandidate {
        timestamp: number;
        userId: string;
        roomId: string;
        candidate: candidate;
    }
    interface answerSDP {
        code: number;
        timestamp: number;
        roomId: string;
        userId: string;
        sdpAnswer: string;
        peerId: number;
    }
    interface addParticipants {
        code: number;
        timestamp: number;
        userId: string;
        participants: Array<paticipants>;
    }
    interface updateParticipant {
        code: number;
        timestamp: number;
        userId: string;
        roomId: string;
        streamId: string;
    }
    interface removeParticipant {
        code: number;
        timestamp: number;
        roomId: string;
        userId: string;
    }
    interface kickParticipant {
        code: number;
        timestamp: number;
        roomId: string;
        userId: string;
    }
}
