interface logReportOptions {
    appId: string;
    roomId: string;
    userId: string;
    report: "web" | "weChat";
    env: "test" | "prod" | "dev";
    SDKVESRION: string;
}
export default class LogReprot {
    private _roomId;
    private _appId;
    private _userId;
    private _wxWS;
    private level;
    private _env;
    private _report;
    private _SDKVESRION;
    private _messageArray;
    private _logger;
    constructor(url: string);
    init(options: logReportOptions): void;
    private connect;
    private registerEvents;
    private isSend;
    stopReport(): void;
    log(content: any): void;
    info(content: any): void;
    warn(content: any): void;
    error(content: any): void;
    private sendMessage;
}
export {};
