/*
 * @Date: 2020-08-21 17:43:09
 * @LastEditors: GWK
 * @LastEditTime: 2020-08-21 17:50:17
 * @FilePath: /Web_SDK/src/wx/signal/signalConnect.d.ts
 */
import API from '../service/api';
import logger from '../log/Logger';
declare const EventEmitter: any;
declare class WXSingal extends EventEmitter {
    protected _logger: logger;
    protected _retryTimes: number;
    protected _maxRetryTimes: number;
    protected _edgeListIndex: number;
    protected _roomId: string;
    protected _userId: string;
    protected _currentEdgeUrl: string;
    protected _edgeUrls: Array<string>;
    protected _api: API | null;
    protected _ws: any;
    protected _signalIndex: number;
    protected _signalSendMsgQueue: any;
    protected _signalReceiveMsgQueue: any;
    protected _signalSendMsgQueueTimer: any;
    protected _octopusConfig: wxOptions.octopusConfig | null;
    private _token;
    constructor(options: wxOptions.Signal);
    connect(): Promise<void>;
    protected changeVendor(): void;
}
export default WXSingal;
